Bug 969193 - "gluster volume getspec" is broken (op_version problem)
"gluster volume getspec" is broken (op_version problem)
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 17:12 EDT by Jeff Darcy
Modified: 2013-07-24 13:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:30:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Darcy 2013-05-30 17:12:37 EDT
The CLI code for getspec isn't setting min-op-version or max-op-version, so they're defaulting to one in glusterd.  Therefore, if a volume uses version-two features then getspec will fail even though the CLI issuing it does in fact support all necessary features (and might even be *more* recent than the server).
Comment 1 Anand Avati 2013-05-30 17:22:08 EDT
REVIEW: http://review.gluster.org/5119 (cli: set min-op-version and max-op-version for getspec) posted (#1) for review on master by Jeff Darcy (jdarcy@redhat.com)
Comment 2 Anand Avati 2013-05-31 02:47:11 EDT
COMMIT: http://review.gluster.org/5119 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 1afbd1e8998a949695f008fd1403ea228eb42bd1
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Thu May 30 17:21:05 2013 -0400

    cli: set min-op-version and max-op-version for getspec
    
    Change-Id: I2185df5d6b560d9367ae404c91812048e1655180
    BUG: 969193
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/5119
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 3 Anand Avati 2013-07-10 04:31:36 EDT
REVIEW: http://review.gluster.org/5307 (cli: set min-op-version and max-op-version for getspec) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 4 Anand Avati 2013-07-11 17:14:30 EDT
COMMIT: http://review.gluster.org/5307 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 97594853f258d4e4ea0a71b41ba20fdc899af55c
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Thu May 30 17:21:05 2013 -0400

    cli: set min-op-version and max-op-version for getspec
    
    Change-Id: I2185df5d6b560d9367ae404c91812048e1655180
    BUG: 969193
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/5119
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-on: http://review.gluster.org/5307

Note You need to log in before you can comment on or make changes to this bug.